Browse Source

Requirements Update

Change-Id: I71cfc121e67a710a14a0b0fffd6fa8ebd9802254
tags/0.3.0
Fabio Verboso 11 months ago
parent
commit
1fd046acc0
2 changed files with 23 additions and 32 deletions
  1. 12
    12
      requirements.txt
  2. 11
    20
      test-requirements.txt

+ 12
- 12
requirements.txt View File

@@ -2,19 +2,19 @@
2 2
 # of appearance. Changing the order has an impact on the overall integration
3 3
 # process, which may cause wedges in the gate later.
4 4
 
5
-pbr>=1.6  # Apache-2.0
6
-oslosphinx>=2.5.0,!=3.4.0  # Apache-2.0
7
-eventlet!=0.18.3,>=0.18.2  # MIT
8
-oslo.config!=3.18.0,>=3.14.0  # Apache-2.0    
9
-oslo.log>=3.11.0  # Apache-2.0
10
-oslo.concurrency>=3.8.0  # Apache-2.0
11
-oslo.policy>=1.15.0  # Apache-2.0    
12
-oslo.messaging>=5.2.0  # Apache-2.0 
13
-oslo.db!=4.13.1,!=4.13.2,>=4.11.0  # Apache-2.0    
14
-pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0  # BSD
5
+pbr!=2.1.0,>=2.0.0 # Apache-2.0
6
+eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
7
+oslo.config>=5.2.0 # Apache-2.0
8
+oslo.log>=3.36.0 # Apache-2.0
9
+oslo.concurrency>=3.26.0 # Apache-2.0
10
+oslo.policy>=1.35.0 # Apache-2.0
11
+oslo.messaging>=6.3.0 # Apache-2.0
12
+oslo.db>=4.27.0 # Apache-2.0
15 13
 paramiko>=2.0.0  # LGPLv2.1+
16
-PyMySQL>=0.7.6  # MIT License
17 14
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
18
-keystonemiddleware!=4.5.0,>=4.2.0 # Apache-2.0
15
+keystonemiddleware>=4.17.0 # Apache-2.0
19 16
 autobahn>=0.10.1  # MIT License
17
+python-neutronclient>=6.7.0 # Apache-2.0
18
+pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
19
+PyMySQL>=0.7.6  # MIT License
20 20
 WSME>=0.8  # MIT

+ 11
- 20
test-requirements.txt View File

@@ -4,27 +4,18 @@
4 4
 
5 5
 hacking>=0.10.2,<0.11  # Apache-2.0
6 6
 
7
-coverage>=3.6  # Apache-2.0
8
-python-subunit>=0.0.18  # Apache-2.0/BSD
9
-sphinx>=1.1.2,!=1.2.0,!=1.3b1,<1.3  # BSD
10
-oslosphinx>=2.5.0,!=3.4.0  # Apache-2.0
11
-oslotest>=1.10.0 # Apache-2.0
12
-testrepository>=0.0.18  # Apache-2.0/BSD
13
-testscenarios>=0.4  # Apache-2.0/BSD
14
-testtools>=1.4.0  # MIT
15
-trollius>=1.0  # Apache-2.0
16
-eventlet!=0.18.3,>=0.18.2  # MIT
17
-oslo.config!=3.18.0,>=3.14.0  # Apache-2.0    
18
-oslo.log>=3.11.0  # Apache-2.0
19
-oslo.concurrency>=3.8.0  # Apache-2.0
20
-oslo.policy>=1.15.0  # Apache-2.0    
21
-oslo.messaging>=5.2.0  # Apache-2.0 
22
-oslo.db!=4.13.1,!=4.13.2,>=4.11.0  # Apache-2.0  
7
+eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
8
+oslo.config>=5.2.0 # Apache-2.0
9
+oslo.log>=3.36.0 # Apache-2.0
10
+oslo.concurrency>=3.26.0 # Apache-2.0
11
+oslo.policy>=1.35.0 # Apache-2.0
12
+oslo.messaging>=6.3.0 # Apache-2.0
13
+oslo.db>=4.27.0 # Apache-2.0
23 14
 paramiko>=2.0.0  # LGPLv2.1+
24
-pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0  # BSD
25
-PyMySQL>=0.7.6  # MIT License
26 15
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
27
-keystonemiddleware!=4.5.0,>=4.2.0 # Apache-2.0
16
+keystonemiddleware>=4.17.0 # Apache-2.0
28 17
 autobahn>=0.10.1  # MIT License
18
+python-neutronclient>=6.7.0 # Apache-2.0
19
+pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
20
+PyMySQL>=0.7.6  # MIT License
29 21
 WSME>=0.8  # MIT
30
-

Loading…
Cancel
Save